List datasets
curl --request GET \
--url https://ai.data.cloud/api/v1/team/datasets \
--header 'x-pd-api-key: <api-key>'import requests
url = "https://ai.data.cloud/api/v1/team/datasets"
headers = {"x-pd-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-pd-api-key': '<api-key>'}};
fetch('https://ai.data.cloud/api/v1/team/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"data": {
"pageNumber": 1,
"pageSize": 10,
"total": 1,
"records": [
{
"id": "dataset-dasfadsgadsgas",
"name": "mysql",
"description": "mysql databases"
}
]
}
}Datasets
List datasets
Lists datasets in your team or of the specified name.
GET
/
v1
/
team
/
datasets
List datasets
Authorizations
Headers
The external trace ID. The length ranges from 0 to 128 characters.
Query Parameters
The number of pages to display. If not specified, the default value 1 will be used.
The number of items on a single page. If not specified, the default value 10 will be used.
The keyword for search. Any dataset with its name or description that matches the keyword will be returned.
It not specified, all datasets will be returned.
Response
200 - application/json
Status code. 0 indicates that the operation is successful. Otherwise, the operation fails. Possible error codes include:
- 100: Bad request.
- 201: Request frequency limit.
- 9999: Internal error.
- 100001: Invalid operation.
The returned data object.
Show child attributes
Show child attributes